com.google.cloud.dataflow.sdk.transforms.windowing

## Class PaneInfo.PaneInfoCoder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StandardCoder<T>
  - - com.google.cloud.dataflow.sdk.coders.DeterministicStandardCoder<T>
    - - com.google.cloud.dataflow.sdk.coders.AtomicCoder<PaneInfo>
      - - com.google.cloud.dataflow.sdk.transforms.windowing.PaneInfo.PaneInfoCoder

All Implemented Interfaces:
  Coder<PaneInfo>, Serializable

Enclosing class:
  PaneInfo

    public static class PaneInfo.PaneInfoCoder
    extends AtomicCoder<PaneInfo>

A Coder for encoding PaneInfo instances.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`Coder.Context, Coder.NonDeterministicException`

### Field Summary

Fields
`static PaneInfo.PaneInfoCoder` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`PaneInfoCoder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PaneInfo` `decode(InputStream inStream, Coder.Context context)` Decodes a value of type `T` from the given input stream in the given context.
`void` `encode(PaneInfo value, OutputStream outStream, Coder.Context context)` Encodes the given value of type `T` onto the given output stream in the given context.

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.AtomicCoder

`getCoderArguments, getInstanceComponents`

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.DeterministicStandardCoder

`verifyDeterministic`

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.StandardCoder

`asCloudObject, consistentWithEquals, equals, getAllowedEncodings, getComponents, getEncodedElementByteSize, getEncodingId, hashCode, isRegisterByteSizeObserverCheap, registerByteSizeObserver, structuralValue, toString, verifyDeterministic, verifyDeterministic`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final PaneInfo.PaneInfoCoder INSTANCE

### Constructor Detail

#### PaneInfoCoder

    public PaneInfoCoder()

### Method Detail

#### encode

    public void encode(PaneInfo value,
                       OutputStream outStream,
                       Coder.Context context)
                throws CoderException,
                       IOException

Description copied from interface: `Coder`
Encodes the given value of type `T` onto the given output stream in the given context.

Throws:
  `CoderException` - if the value could not be encoded for some reason
  `IOException` - if writing to the `OutputStream` fails for some reason

#### decode

    public PaneInfo decode(InputStream inStream,
                           Coder.Context context)
                    throws CoderException,
                           IOException

Description copied from interface: `Coder`
Decodes a value of type `T` from the given input stream in the given context. Returns the decoded value.

Throws:
  `CoderException` - if the value could not be decoded for some reason
  `IOException` - if reading from the `InputStream` fails for some reason